Description

QGIS currently displays the layer name and number of selected features (for the most recent selection) on the status bar.  It would be

great if this status message also included the total area of the selected polygon(s), or the total line length for selected line(s).

History

#1 - 2016-06-27 06:04 AM - Andreas Neumann

Hi Amy,

Are you aware that the "Statistics Panel" (Menu "View" --> "Panels" --> "Statistics panel") already allows this?

You can add your own expressions (like $length or $area) and have all the statistical values on it, incl. count, sum, mean, max, etc.

Personally I think we should not "overload" the already crowded status bar more - but for those people interested in it, they can consult the statistics manel.

In addition: most people probably have different ideas what should be displayed in the status bar.

If we really want this, there could be a generic, flexible solution, that could display custom format aggregates after the selections, now that we have

aggregate functions in QGIS master. This could be defined on a per-layer basis.

What do you think?

Andreas

#2 - 2016-06-27 12:08 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

Agreed with Andreas - the status bar is already very crowded and using the statistics dock is a better fit here. Or alternatively a plugin could also be written

to show the stats in the status bar. But I don't think it's a good idea for this to be in core QGIS.

#3 - 2016-06-28 12:50 AM - Amy Taylor

Hi Andreas and Nyall,

Thanks, yes I am aware of and use the statistics panel.  We just thought that as text is already displayed in the status bar reporting on the current selection

that it wouln't make much of a difference in terms of clutter to add in the total area or total distance to that text (and we'd personally find that info would

make the status bar text far more useful). But I appreciate that everyone has a different idea about what should or should not be in the status bar!  Back to
the plugin writing for me.

Thanks

Amy
